using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Grouping;

namespace GGCsummaries
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl gridGroupingControl1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.gridGroupingControl1 = new Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl();
			((System.ComponentModel.ISupportInitialize)(this.gridGroupingControl1)).BeginInit();
			this.SuspendLayout();
			// 
			// gridGroupingControl1
			// 
			this.gridGroupingControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.gridGroupingControl1.BackColor = System.Drawing.SystemColors.Window;
			this.gridGroupingControl1.Location = new System.Drawing.Point(40, 56);
			this.gridGroupingControl1.Name = "gridGroupingControl1";
			this.gridGroupingControl1.Size = new System.Drawing.Size(688, 416);
			this.gridGroupingControl1.TabIndex = 0;
			this.gridGroupingControl1.TableDescriptor.Name = "Default";
			this.gridGroupingControl1.Text = "gridGroupingControl1";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(768, 518);
			this.Controls.Add(this.gridGroupingControl1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			((System.ComponentModel.ISupportInitialize)(this.gridGroupingControl1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			DataTable dt = new DataTable("Table");
			dt.Columns.Add(new DataColumn("AAs"));
			dt.Columns.Add(new DataColumn("BBs"));
			dt.Columns.Add(new DataColumn("score1", typeof(int)));
			dt.Columns.Add(new DataColumn("score2", typeof(int)));

			Random r = new Random();

			for(int i = 0; i < 100; ++i)
			{
				DataRow dr = dt.NewRow();
				dr[0] = string.Format("AA{0}", i % 10);
				dr[1] = string.Format("BB{0}", r.Next(5));
				dr[2] = r.Next(100);
				dr[3] = r.Next(100);
				dt.Rows.Add(dr);
			}
			this.gridGroupingControl1.DataSource = dt;

			this.gridGroupingControl1.ShowGroupDropArea = true;

			//create 2 summary columns
			GridSummaryColumnDescriptor maxScore1 = new GridSummaryColumnDescriptor("maxScore1", SummaryType.Int32Aggregate, "score1", "{Maximum:#}");
			GridSummaryColumnDescriptor maxScore2 = new GridSummaryColumnDescriptor("maxScore2", SummaryType.Int32Aggregate, "score2", "{Maximum:#}");

			//create the summary row
			GridSummaryRowDescriptor maxRow = new GridSummaryRowDescriptor("Max", new GridSummaryColumnDescriptor[]{ maxScore1, maxScore2});
			maxRow.Appearance.AnyCell.HorizontalAlignment = GridHorizontalAlignment.Right;

			this.gridGroupingControl1.TableDescriptor.SummaryRows.Add(maxRow);

		}
	}
}
